curl --request GET \
--url https://api.logokit.com/brands/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.logokit.com/brands/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.logokit.com/brands/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"domain": "<string>",
"long_name": "<string>",
"short_description": "<string>",
"long_description": "<string>",
"website": "<string>",
"logo": "<string>",
"colors": [
"<string>"
],
"founded_year": "<string>",
"issued_currency": "<string>",
"number_of_employees": "<string>",
"social_media": {
"facebook": "<string>",
"x": "<string>",
"instagram": "<string>",
"linkedin": "<string>",
"youtube": "<string>",
"pinterest": "<string>",
"tiktok": "<string>",
"reddit": "<string>",
"snapchat": "<string>",
"discord": "<string>",
"tumblr": "<string>",
"vimeo": "<string>"
},
"address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"gics_sector": "<string>",
"gics_industry_group": "<string>",
"gics_industry": "<string>",
"gics_sub_industry": "<string>"
}Brand API
The Brand API provides comprehensive data about companies, including their address, domain, founding year, and number of employees. It’s designed for developers looking to integrate reliable brand information into their applications, making it easier to enhance user experiences with up-to-date brand insights.
Authentication
Brand API endpoint is authenticated using Bearer token in theAuthorization header of your request. Make sure to keep
this secret API token secure and do not share it publicly. You can find yours in
your account.
Authorization: Bearer: <secret-api-token>
Rate Limiting
Similar to the Logo API, the Brand API implements rate limiting based on user subscription plans. To get more information about the rate limits, please refer to the pricing page.Examples
Retrieve brand information for a stock ticker
Retrieve brand information for a stock ticker
AAPL.
You can do this by using the following URL:curl "https://api.logokit.com/brands/AAPL" \
--header "Authorization: Bearer: <secret-api-token>"
{
"name": "Apple",
"domain": "apple.com",
"long_name": "Apple Inc.",
"short_description": "Apple Inc. designs, manufactures, and markets smartphones, computers, tablets, wearables, and accessories, and offers digital content, cloud, and subscription services to customers worldwide.",
"long_description": "Apple Inc. designs, manufactures, and markets smartphones, personal computers, tablets, wearables, and accessories worldwide. The company offers iPhone, Mac, iPad, AirPods, Apple TV, Apple Watch, Beats products, and HomePod. It also provides AppleCare support, cloud services, and operates platforms such as the App Store for digital content distribution. Apple offers subscription-based services including Apple Arcade, Apple Fitness+, Apple Music, Apple News+, Apple TV+, Apple Card, and Apple Pay. Its customers include consumers, small and mid-sized businesses, education, enterprise, and government sectors globally.",
"website": "https://www.apple.com",
"logo": "https://img.logokit.com/apple.com",
"colors": [
"#000000",
"#f5f5f7",
"#ffffff"
],
"founded_year": 1977,
"issued_currency": "USD",
"number_of_employees": "150,000-200,000",
"social_media": {
"facebook": "https://www.facebook.com/apple",
"x": "https://x.com/apple",
"instagram": "https://www.instagram.com/apple/",
"linkedin": "https://www.linkedin.com/company/apple",
"youtube": "https://www.youtube.com/apple",
"pinterest": "https://www.pinterest.com/apple",
"tiktok": "https://www.tiktok.com/@apple",
"reddit": null,
"snapchat": null,
"discord": null,
"tumblr": null,
"vimeo": null
},
"address": {
"address1": "One Apple Park Way",
"address2": "",
"city": "Cupertino",
"state": "CA",
"zip": "95014",
"country": "US"
},
"gics_sector": "Information Technology",
"gics_industry_group": "Technology Hardware & Equipment",
"gics_industry": "Technology Hardware, Storage & Peripherals",
"gics_sub_industry": "Technology Hardware, Storage & Peripherals"
}
Parameters
Authorizations
Bearer token authentication. You must provide a valid Secret API token in the Authorization header of your request. You can find yours in your account settings.
Path Parameters
The domain or stock ticker for which you want to retrieve brand information. For example, apple.com or AAPL. We support all major stock exchanges worldwide.
"apple.com"
Response
Brand information found and returned as JSON.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

